<?php

     session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
include '../../conexion/conn.php';

$zona_id=$_REQUEST['zona_id'];
$productor_id=$_REQUEST['productor_id'];
$variedad_id=$_REQUEST['variedad_id'];
$fecha=$_REQUEST['fecha'];
$cuartel=$_REQUEST['cuartel'];
$contratista=$_REQUEST['contratista'];
$cuadrilla=$_REQUEST['cuadrilla'];
$huerto=$_REQUEST['huerto'];


$zona_id2=$_REQUEST['zona_id'];
$productor_id2=$_REQUEST['productor_id'];
$variedad_id2=$_REQUEST['variedad_id'];
$fecha2=$_REQUEST['fecha'];
$cuartel2=$_REQUEST['cuartel'];
$contratista2=$_REQUEST['contratista'];
$cuadrilla2=$_REQUEST['cuadrilla'];
$huerto2=$_REQUEST['huerto'];
$orden='';
if(isset($_REQUEST['orden'])){
  $orden=$_REQUEST['orden'];
}else{
  $orden='ORDER BY caja_id DESC';
}

$where="";
  if($zona_id!=""){
    $where.="AND zona_id='$zona_id' ";
  }else{
    $zona_nombre="TODAS";
  }
  if($productor_id!=""){
    $where.="AND productor_id='$productor_id' ";
  }else{
    $productor_nombre="TODOS";
  }
  if($variedad_id!=""){
    $where.="AND variedad_id='$variedad_id' ";
  }else{
    $variedad_nombre="TODAS";
  }
  if($fecha!=""){
    $where.="AND fecha='$fecha' ";
  }else{
    $fecha="TODAS";
  }
  if($cuartel!=""){
    $where.="AND cuartel='$cuartel' ";
  }else{
    $cuartel="TODOS";
  }
  if($contratista!=""){
    $where.="AND contratista='$contratista' ";
  }else{
    $contratista="TODOS";
  }

  if($cuadrilla!=""){
    $where.="AND cuadrilla='$cuadrilla' ";
  }else{
    $cuadrilla="TODOS";
  }

   if($huerto!=""){
    $where.="AND huerto='$huerto' ";
  }else{
    $huerto="TODOS";
  }


        
        $rsnorma = mysql_query("SELECT * FROM cal_exportadoras WHERE `exportador_cod`='$cliente'");
        if($rownorma = mysql_fetch_array($rsnorma)){
            $exportador_nombre=$rownorma['exportador_nombre'];
        }

        $rsnorma = mysql_query("SELECT * FROM cal_zona WHERE `zona_id`='$zona_id'");
        if($rownorma = mysql_fetch_array($rsnorma)){
            $zona_nombre=$rownorma['zona_nombre'];
        }

        $rsnorma = mysql_query("SELECT * FROM cal_productores WHERE `productor_id`='$productor_id'");
        if($rownorma = mysql_fetch_array($rsnorma)){
            $productor_nombre=$rownorma['productor_nombre'];
        }

        $rsnorma = mysql_query("SELECT * FROM cal_variedades WHERE `variedad_id`='$variedad_id'");
        if($rownorma = mysql_fetch_array($rsnorma)){
            $variedad_nombre=$rownorma['variedad_nombre'];
        }

        
   
   
    echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=0.4, user-scalable=yes, minimum-scale=0.1, maximum-scale=10">
<title>Informe</title>

    <link href="../../assets/source/jquery.fancybox.css" rel="stylesheet">

    
</head>
<style>
.Rotate-90
{
  
    transform: rotate(270deg);
  font-size:9px;
  border:1px solid black;
  margin-left:-40px;
  width:120px;
}
.vertical{
  text-align:center;
  vertical-align:middle;
  width:14px;
  height:auto;
  margin:0px;
  padding:0px;
  padding-left:3px;
  padding-right:3px;
  padding-top:10px;
  white-space:nowrap;
  -webkit-transform:rotate(-90deg);
  -moz-transform:rotate(-90deg);
  -o-transform:rotate(-90deg);
}

.achicar{
  width:40px;
}
.circulo_verde {
     width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #40FF00;
}

.circulo_rojo {
     width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #FF0000;
}

.circulo_amarillo {
     width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #FFFF00;
}

.circulo_naranja {
     width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: orange;
}

</style>

<body style="font-family:Arial, Helvetica, sans-serif; font-size:12px;">
<div width="100%" style="margin-top:15px;">
    <div style="border:1px solid black; margin-top:-10px; height:100px; width:19%; float:left; text-align:center;">
                <img src="../../Foto_exportadora/'.$cliente.'.jpeg" height="97%" style="margin-top:1px;">
    </div>
    <div style="border:1px solid black; margin-top:-10px; height:100px; width:55%; float:left; text-align:center;">';
                if($cliente=='EX'){
                    echo '<div style="font-size:12px;">Exser </div>';
                }else if($cliente=='RB'){
                    echo '<div style="font-size:12px;">RIOblanco SpA </div>';
                }else{
                    echo '<div style="font-size:12px;">'.$cliente.' </div>';
                }
                                
                echo '<div style="font-size:12px;">GERENCIA CALIDAD Y DESARROLLO</div>
                <div style="font-weight: bold; font-size:18px;"><br/>CONTROL CALIDAD EN HUERTO DE PACKING AMERICANO</div>
    </div>
    <div style="border:1px solid black; margin-top:-10px; height:100px; width:25%; float:left; font-size:10px; text-align:center;">';
                if($cliente=='EX'){
                    echo '<img src="../../Foto_exportadora/Inglobo.png" height="97%" style="margin-top:1px;">';
                }else if($cliente=='RB'){
                    echo '<br/>
                <div>RB-REG-CCAL-087</div>
                <div>Versión 01</div>
                <div>Fecha Emisión 30-12-19</div>';
                }else{
                    echo '<img src="../../Foto_exportadora/Inglobo.png" height="97%" style="margin-top:1px;">';
                }
                
                
                
    echo '</div>';

        echo '<div style="width:25%; float:left; margin-top:20px;">';
            echo '<table>';
                echo '<tr>';
                    echo '<td>Zona</td>';
                    echo '<td>'.$zona_nombre.'</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td>Productor</td>';
                    echo '<td>'.$productor_nombre.'</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td>Variedad</td>';
                    echo '<td>'.$variedad_nombre.'</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td>Huerto</td>';
                    echo '<td>'.$huerto.'</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td>Cuartel</td>';
                    echo '<td>'.$cuartel.'</td>';
                echo '</tr>';
                
                echo '<tr>';
                    echo '<td>cuadrilla</td>';
                    echo '<td>'.$cuadrilla.'</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td>Fecha</td>';
                    echo '<td>'.$fecha.'</td>';
                echo '</tr>';
            echo '</table>';
        echo '</div>';

        echo '<div style="width:15%; float:right; margin-top:20px;">';
            echo '<table width="200">';
                echo '<tr>';
                    echo '<td style="background-color:#40FF00; text-align:center;">1</td>';
                    echo '<td>Bueno</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td style="background-color:#FFFF00; text-align:center;">2</td>';
                    echo '<td>Regular</td>';
                echo '</tr>';
                echo '<tr>';
                    echo '<td style="background-color:#FF0000; text-align:center;">3</td>';
                    echo '<td>Malo</td>';
                echo '</tr>';
            echo '</table>';
        echo '</div>';



    echo '<div style="clear: both;"></div>';
    echo '<center><div id="grafico" style="width:800px; height:350px;"></div></center>';
    echo '<input type="hidden" value="'.$zona_id2.'" id="zona_id" name="zona_id">';
    echo '<input type="hidden" value="'.$productor_id2.'" id="productor_id" name="productor_id">';
    echo '<input type="hidden" value="'.$variedad_id2.'" id="variedad_id" name="variedad_id">';
    echo '<input type="hidden" value="'.$fecha2.'" id="fecha" name="fecha">';
    echo '<input type="hidden" value="'.$cuartel2.'" id="cuartel" name="cuartel">';
    echo '<input type="hidden" value="'.$contratista2.'" id="contratista" name="contratista">';
    echo '<input type="hidden" value="'.$cuadrilla2.'" id="cuadrilla" name="cuadrilla">';
    echo '<input type="hidden" value="'.$huerto2.'" id="huerto" name="huerto">';

echo '<table style="border-collapse: collapse; font-size:14px" border="1" width="100%">';
echo '<tr height="145" align="center" valign="bottom">';
    echo '<td align="center" onclick="orden_hora()">Hora</td>';
    echo '<td align="center" onclick="orden_huerto()">Huerto</td>';
    echo '<td align="center" onclick="orden_cuartel()">Cuartel</td>';
    echo '<td align="center" onclick="orden_cuadrilla()">Cuadrilla</td>';
    echo '<td><div class="vertical" onclick="orden_prom()">Promedio</div></td>';
    echo '<td><div class="vertical">Foto</div></td>';
    echo '<td><div class="vertical">Aviso</div></td>';
    echo '<td><div class="vertical">Estructura</div></td>';
    echo '<td><div class="vertical">Cant Cargadores</div></td>';
    echo '<td><div class="vertical">Cant Pitones</div></td>';
    echo '<td><div class="vertical">Yemas Por Cargador</div></td>';
    echo '<td><div class="vertical">Yemas Por Pitón</div></td>';
    echo '<td><div class="vertical">Limpieza Poda</div></td>';
    echo '<td><div class="vertical">Observacion</div></td>';
echo '</tr>';
$rs_packing = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 AND usuario_crea='$rut' $where $orden");
      
      while($row_packing = mysql_fetch_array($rs_packing)){
        echo '<tr style="text-align:center">';
            echo '<td style="text-align:center">'.$row_packing['hora'].'</td>';
            echo '<td style="text-align:center">'.$row_packing['huerto'].'</td>';
            echo '<td style="text-align:center">'.$row_packing['cuartel'].'</td>';
            echo '<td style="text-align:center">'.$row_packing['cuadrilla'].'</td>';
            if($row_packing['prom']>=1 && $row_packing['prom']<2){
                echo '<td style="background-color:#40FF00; text-align:center;">'.round($row_packing['prom'], 1).'</td>';
            }else if($row_packing['prom']>=2 && $row_packing['prom']<3){
                echo '<td style="background-color:#FFFF00; text-align:center;">'.round($row_packing['prom'], 1).'</td>';
            }else if($row_packing['prom']>=3 && $row_packing['prom']<4){
                echo '<td style="background-color:#FF0000; text-align:center;">'.round($row_packing['prom'], 1).'</td>';
            }else{
                echo '<td></td>';
            }
            $link="../image_huerto/".$cliente."/".$row_packing['foto_nombre'];
            if($row_packing['foto_nombre']==""){
              echo '<td></td>';
            }else{
              echo "<td><a class='ejemplo_1' onclick='fotos();' href='".$link.".jpg' title='".$row_packing['foto_nombre']."</br>".$row_packing['defecto_foto']."'><img src='".$link.".jpg' height='30' width='30' /></a></td>";
            }
            
            if($row_packing['aviso']==""){
              echo '<td></td>';
            }else{
              echo '<td>Avisado</td>';
            }
            if($row_packing['estructura_orden']>=1 && $row_packing['estructura_orden']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['estructura_orden'].'</td>';
            }else if($row_packing['estructura_orden']>=2 && $row_packing['estructura_orden']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['estructura_orden'].'</td>';
            }else if($row_packing['estructura_orden']>=3 && $row_packing['estructura_orden']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['estructura_orden'].'</td>';
            }else{
                echo '<td></td>';
            }

            if($row_packing['cant_cargadores']>=1 && $row_packing['cant_cargadores']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['cant_cargadores'].'</td>';
            }else if($row_packing['cant_cargadores']>=2 && $row_packing['cant_cargadores']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['cant_cargadores'].'</td>';
            }else if($row_packing['cant_cargadores']>=3 && $row_packing['cant_cargadores']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['cant_cargadores'].'</td>';
            }else{
                echo '<td></td>';
            }

            if($row_packing['cant_pitones']>=1 && $row_packing['cant_pitones']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['cant_pitones'].'</td>';
            }else if($row_packing['cant_pitones']>=2 && $row_packing['cant_pitones']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['cant_pitones'].'</td>';
            }else if($row_packing['cant_pitones']>=3 && $row_packing['cant_pitones']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['cant_pitones'].'</td>';
            }else{
                echo '<td></td>';
            }

            if($row_packing['yemas_cargador']>=1 && $row_packing['yemas_cargador']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['yemas_cargador'].'</td>';
            }else if($row_packing['yemas_cargador']>=2 && $row_packing['yemas_cargador']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['yemas_cargador'].'</td>';
            }else if($row_packing['yemas_cargador']>=3 && $row_packing['yemas_cargador']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['yemas_cargador'].'</td>';
            }else{
                echo '<td></td>';
            }

            if($row_packing['yemas_piton']>=1 && $row_packing['yemas_piton']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['yemas_piton'].'</td>';
            }else if($row_packing['yemas_piton']>=2 && $row_packing['yemas_piton']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['yemas_piton'].'</td>';
            }else if($row_packing['yemas_piton']>=3 && $row_packing['yemas_piton']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['yemas_piton'].'</td>';
            }else{
                echo '<td></td>';
            }

            if($row_packing['limpieza_poda']>=1 && $row_packing['limpieza_poda']<2){
                echo '<td style="font-size:12px;"><div class="circulo_verde" style="display: inline-block;"></div>'.$row_packing['limpieza_poda'].'</td>';
            }else if($row_packing['limpieza_poda']>=2 && $row_packing['limpieza_poda']<3){
                echo '<td style="font-size:12px;"><div class="circulo_amarillo" style="display: inline-block;"></div>'.$row_packing['limpieza_poda'].'</td>';
            }else if($row_packing['limpieza_poda']>=3 && $row_packing['limpieza_poda']<4){
                echo '<td style="font-size:12px;"><div class="circulo_rojo" style="display: inline-block;"></div>'.$row_packing['limpieza_poda'].'</td>';
            }else{
                echo '<td></td>';
            }

                echo '<td>'.$row_packing['observacion'].'</td>';
            
            
        echo '</tr>';

      }

echo '</table>';
 

echo '</div>';

?>
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script type="text/javascript">
  	var chart = Highcharts.chart('grafico', {

          title: {
              text: 'Evaluación Por Cuartel'
          },
          yAxis: {title: {
                    text: 'Notas'
                }, min: 0, max: 4},

          subtitle: {
              text: 'Uva'
          }, 
             colors: [ 
              <?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where $orden");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['prom'];
                    if($hora_reg1>=1 && $hora_reg1<2){
                        
                            $hora_reg1="#40FF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=2 && $hora_reg1<3){
                        $hora_reg1="#FFFF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=3 && $hora_reg1<4){
                        $hora_reg1="#FF0000";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else{
                        $hora_reg1="black";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }
                
                }
            ?> 
              ],

          xAxis: {title: {
                    text: 'Cuartel'
                },
              categories: [<?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where $orden");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['cuartel'];
                ?>
                    '<?php echo $hora_reg1; ?>',
                <?php
                }
            ?>]
          },

          series: [{
            name:'Prom',
              type: 'column',
              colorByPoint: true,
              data: [
              <?php 
                $rsvalor = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where $orden");
                while($rowvalor = mysql_fetch_array($rsvalor)){
                ?>
                    <?php echo round($rowvalor["prom"],1); ?>,
                <?php
                }
            ?>
            ],
              showInLegend: false
          }]

      });

function fotos(){
      $('.ejemplo_1').fancybox({ }); 
    }

    function orden_hora(){
      var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var orden="ORDER BY hora DESC";
        //alert(zona_id);
         window.location.href = "web2.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&orden="+orden+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
    }

    function orden_huerto(){
      var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var orden="ORDER BY huerto ASC";

        window.location.href = "web2.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&orden="+orden+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
    }

    function orden_cuartel(){
      var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var orden="ORDER BY cuartel ASC";

         window.location.href = "web2.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&orden="+orden+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
    }

    function orden_cuadrilla(){
      var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var orden="ORDER BY cuadrilla ASC";

         window.location.href = "web2.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&orden="+orden+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
    }

    function orden_prom(){
      var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var orden="ORDER BY prom ASC";

         window.location.href = "web2.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&orden="+orden+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
    }
</script>

    
    <script src="../../assets/jquery-1.8.0.min.js"></script>
    
    <script src="../../assets/source/jquery.fancybox.pack.js"></script>
    <script src="../../assets/source/jquery.fancybox.js"></script>


</body>
</html>

